// Includo stdio senno' dice che ridefinisco FILE
#include <stdio.h>

#ifndef __FILES_H
#include <files.h>
#endif

#ifndef __MASK_H
#include <mask.h>
#endif

#ifndef __SHEET_H
#include <sheet.h>
#endif

#ifndef __URLDEFID_H
#include <urldefid.h>
#endif

#ifndef __VALIDAT_H
#include <validate.h>
#endif

#ifndef __BA1201_H
#include "ba1201.h"
#endif


TRec_sheet::TRec_sheet(int logicnum) 
          : TSheet(-1,-1, 0, 0, "","N.|Nome|Lung.|Dec.|Offset", 0x6)
{
_dir = new TDir;
_rec = new TTrec;

_dir->get(logicnum, _nordir, _lock, _nordir);
_rec->get(logicnum, _comfile ? _condir : _nordir);

TRec_sheet::~TRec_sheet()
{
delete _dir;
delete _rec;
}


void TRec_sheet::page_build(long first, byte rows)
{
	TToken_string l;
	TString    dep(256);
  RecDes     *rdes;

_rec->get(1, _nordir);


  for (byte i = 0; i < rows; i++)
  {
	dep << (int)i+1+first; 	// Numero progressivo del file
	l = dep.right_just(3);
	dep = "";
        rdes = _rec->rec();
	l.add((const char*)rdes->Fd[i].Name);
      	l.add((const char*)rdes->Fd[i].TypeF);
        dep << rdes->Fd[i].Name;
      	l.add ( (const char*) dep);
        dep = "";
        dep << rdes->Fd[i].Dec;
        l.add( (const char*) dep);

    	set_row(l, i);
  }
}


